var skipScenes = false;
var counter = 0;
var counterTrees = 0;
var isWin = 0;
var jump2Counter = 0;
var currentPos = '';
var lastPos = '';
var timerInstructionVideo;
var idBeforeInstruction = 1;
let shower = false;
let lie = false;
let soundNotMain = 0;

var gameLine = {
  '-5': {
    video: 'inst_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_pistol.mp3', 0);
      StopSound('sounds/env_main.mp3', 0);
      StopSound('sounds/sfx_rifle_shot.mp3', 0);
      PlaySound('sounds/env_instruction.mp3', 1);
      // StopSound("sounds/env_main.mp3", 0);

      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
      // hideDialog();
      // renderActionGameScene(15)
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: 'instruction/1',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          // ObjSet('', {});
        },
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/2',
        x: 154,
        y: 127,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/3',
        x: 154,
        y: 127,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/4',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_4', { alp: 0.9 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_4', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/5',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_5', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_5', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/6',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_6', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_6', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/7',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_7', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_7', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/8',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_7', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_7', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/9',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_9_1', { alp: 1 });
          ObjSet('spr_interface_instruction_9_2', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_9_1', { alp: 0 });
          ObjSet('spr_interface_instruction_9_2', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/10',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_10_1', { alp: 1 });
          ObjSet('spr_interface_instruction_10_2', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_10_1', { alp: 0 });
          ObjSet('spr_interface_instruction_10_2', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/11',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_11', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_11', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/12',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_11', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_11', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/13',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_13', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_13', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/14',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_14', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_14', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/15',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_15', { alp: 1 });
          ObjSet('vid_interface_instruction_15_video', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_15', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/16',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_15', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_15', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/17',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_17', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_17', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/18',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_18', { alp: 1 });
          var instructionVideos = [
            'vagina_x_ray_white_stop',
            'vagina_x_ray_white_slow_1',
            'vagina_x_ray_white_slow_2',
          ];
          var currentInstructionIdVideo = 0;
          timerInstructionVideo = setInterval(function () {
            currentInstructionIdVideo++;
            if (currentInstructionIdVideo > 2) {
              currentInstructionIdVideo = 0;
            }
            var nameVideoInstr = instructionVideos[currentInstructionIdVideo];
            vid_interface_instruction_15_video.src =
              './video/' + nameVideoInstr + '.mp4';
          }, 5000);
        },
        click: function () {
          ObjSet('spr_interface_instruction_18', { alp: 0 });
          clearTimeout(timerInstructionVideo);
          clearInterval(timerInstructionVideo);
          ObjSet('vid_interface_instruction_15_video', { alp: 0, input: 0 });
          vid_interface_instruction_15_video.pause();
          // document.querySelector('#vid_interface_instruction_15_video').remove();
        },
      },
    ],
    origin: 'inst_1       1-18',
  },
  '-4': {
    video: 'inst_2',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_pistol.mp3', 0);
      StopSound('sounds/env_main.mp3', 0);
      StopSound('sounds/sfx_rifle_shot.mp3', 0);
      PlaySound('sounds/env_instruction.mp3', 1);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_instruction.mp3', 1);
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: 'instruction/19',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/20',
        x: 509,
        y: 116,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_20', { alp: 1 });
        },
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/21',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/22',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/23',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/24',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_instruction_20', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/25',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/26',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/27',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/28',
        x: 509,
        y: 116,
        next: false,
        open: function () {},
        click: function () {
          // console.log('idBeforeInstruction', idBeforeInstruction);
          ObjSet('spr_interface_instruction_play', {
            alp: 1,
            input: 1,
            event_mup: () => {
              renderGameScene(idBeforeInstruction);
              ObjSet('spr_interface_instruction_play', { alp: 0, input: 0 });
            },
          });
        },
      },
    ],
    origin: 'inst_2       19-28',
  },
  1: {
    video: 'menu_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {
      /*renderGameScene();*/
    },
    close: function () {
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'menu_2\t\tplay',
  },
  2: {
    video: 'menu_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      ObjSet('spr_interface_to_instruction', {
        alp: 1,
        input: 1,
        event_mup: () => {
          idBeforeInstruction = currentGameLine;
          renderGameScene(-5);
          ObjSet('spr_interface_to_instruction', { alp: 0, input: 0 });
          ObjSet('spr_interface_play', { alp: 0, input: 0 });
        },
      });

      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_play', { alp: 0, input: 0 });
          ObjSet('spr_interface_to_instruction', { alp: 0, input: 0 });
        },
      },
    ],
    origin: '\t\t',
  },
  3: {
    video: 'intro_1',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      setTimeout(() => {
        ObjSet('spr_interface_play', {
          alp: 1,
          input: 1,
          event_mup: () => {
            ObjSet('spr_interface_play', { alp: 0, input: 0 });
            renderGameScene();
          },
        });
      }, 1600);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      PlaySound('sounds/sfx_typing.mp3', 0);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    origin: 'intro_1\t\tplay',
  },
  4: {
    video: 'intro_2',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_typing.mp3', 0);
      setTimeout(() => {
        ObjSet('spr_interface_play', {
          alp: 1,
          input: 1,
          event_mup: () => {
            ObjSet('spr_interface_play', { alp: 0, input: 0 });
            renderGameScene();
          },
        });
      }, 2300);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    origin: 'intro_2\t\tplay',
  },
  5: {
    video: 'intro_3',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_typing.mp3', 0);
      setTimeout(() => {
        ObjSet('spr_interface_play', {
          alp: 1,
          input: 1,
          event_mup: () => {
            ObjSet('spr_interface_play', { alp: 0, input: 0 });
            renderGameScene();
          },
        });
      }, 2400);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    origin: 'intro_3\t\tplay',
  },
  6: {
    video: 'intro_4',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_typing.mp3', 0);
      setTimeout(() => {
        ObjSet('spr_interface_play', {
          alp: 1,
          input: 1,
          event_mup: () => {
            ObjSet('spr_interface_play', { alp: 0, input: 0 });
            renderGameScene();
          },
        });
      }, 3100);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    origin: 'intro_4\t\tplay',
  },
  7: {
    video: 'intro_5',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      PlaySound('sounds/sfx_typing.mp3', 0);
      setTimeout(() => {
        ObjSet('spr_interface_play', {
          alp: 1,
          input: 1,
          event_mup: () => {
            ObjSet('spr_interface_play', { alp: 0, input: 0 });
            renderGameScene();
          },
        });
      }, 4000);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    origin: 'intro_5\t\tplay',
  },
  8: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/env_submarine.mp3', 1);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '1',
        x: 200,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  9: {
    video: 'man_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '2',
        x: 200,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1\t1\t',
  },
  10: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '3',
        x: 200,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2\t2\t',
  },
  11: {
    video: 'man_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '4',
        x: 200,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1   3',
  },
  12: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '5',
        x: 200,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2   4',
  },
  13: {
    video: 'man_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '6',
        x: 200,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1   5',
  },
  14: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '7',
        x: 200,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2   6',
  },
  15: {
    video: 'man_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '8',
        x: 200,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1   7',
  },
  16: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '9',
        x: 200,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2   8',
  },
  17: {
    video: 'man_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '10',
        x: 200,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1   9',
  },
  18: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '11',
        x: 200,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2   10',
  },
  19: {
    video: 'man_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '12',
        x: 200,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1   11',
  },
  20: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '13',
        x: 200,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2   12',
  },
  21: {
    video: 'man_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '14',
        x: 200,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1   13',
  },
  22: {
    video: 'man_1_map',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '15',
        x: 200,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2   14',
  },
  23: {
    video: 'man_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '16',
        x: 200,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1_map   15',
  },
  24: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '17',
        x: 200,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2   16',
  },
  25: {
    video: 'man_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '18',
        x: 200,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1_map   17',
  },
  26: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '19',
        x: 200,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2   18',
  },
  27: {
    video: 'man_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '20',
        x: 200,
        y: 120,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_1_map   19',
  },
  28: {
    video: 'diver',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      StopSound('sounds/env_submarine.mp3', 0);
      PlaySound('sounds/env_under_water.mp3', 1);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '21',
        x: 420,
        y: 50,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '22',
        x: 420,
        y: 50,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'man_2   20\tplay',
  },
  29: {
    video: 'shark_far',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '23',
        x: 660,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  30: {
    video: 'shark_approaching',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      let closeGame1 = setTimeout(() => {
        ObjSet('shoot', { alp: 0, input: 0 });
        ObjSet('dialog_24', { alp: 1, input: 0 });
      }, 5000);
      let closeGame2 = setTimeout(() => {
        ObjSet('dialog_24', { alp: 0, input: 0 });
        renderGameScene(31);
      }, 7000);
      ObjSet('shoot', {
        alp: 1,
        input: 1,
        event_mup: function () {
          PlaySound('sounds/sfx_shoot.mp3', 0);
          clearTimeout(closeGame1);
          clearTimeout(closeGame2);
          ObjSet('shoot', { alp: 0, input: 0 });
          renderGameScene(32);
        },
      });
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    origin: 'diver\t21 22\t',
  },
  31: {
    video: 'shark_kills',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_shark_kills.mp3', 0);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_under_water.mp3', 0);
      renderGameScene(100);
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: '\t\t',
  },
  32: {
    video: 'shark_shoot',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {
      renderGameScene();
    },
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'shark_far\t23\t',
  },
  33: {
    video: 'shark_dead',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'shark_approaching\t24\t',
  },
  34: {
    video: 'diver',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '25',
        x: 420,
        y: 50,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'shark_kills\t\t',
  },
  35: {
    video: 'base',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '26',
        x: 660,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '27',
        x: 660,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          StopSound('sounds/env_under_water.mp3', 0);
        },
      },
    ],
    origin: 'shark_shoot\t\t',
  },
  36: {
    video: 'area_map_1',
    loop: false,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_under_water.mp3', 0);
      PlaySound('sounds/sfx_map.mp3', 0);
      setTimeout(() => {
        renderGameScene();
      }, 1300);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'shark_dead\t\tplay',
  },
  37: {
    video: 'area_map_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '28',
        x: 620,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t',
  },
  38: {
    video: 'area_map_3',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'diver\t25\tplay',
  },
  39: {
    video: 'area_bomb_holding',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '29',
        x: 660,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '30',
        x: 660,
        y: 350,
        next: false,
        open: function () {},
        click: function () {
          ObjSet('click_1', {
            alp: 1,
            input: 1,
            event_mup: () => {
              ObjSet('click_1', { alp: 0, input: 0 });
              renderGameScene();
            },
          });
        },
      },
    ],
    origin: '\t\t',
  },
  40: {
    video: 'area_bomb_click_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      setTimeout(() => {
        PlaySound('sounds/sfx_press.mp3', 0);
      }, 1000);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'base\t26 27\tplay',
  },
  41: {
    video: 'area_bomb_holding_4',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      ObjSet('click_2', {
        alp: 1,
        input: 1,
        event_mup: () => {
          ObjSet('click_2', { alp: 0, input: 0 });
          renderGameScene();
        },
      });
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: '\t\t',
  },
  42: {
    video: 'area_bomb_click_2',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      setTimeout(() => {
        PlaySound('sounds/sfx_press.mp3', 0);
      }, 1000);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: '  area_map_1\t\t',
  },
  43: {
    video: 'area_bomb_holding_48',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      ObjSet('click_3', {
        alp: 1,
        input: 1,
        event_mup: () => {
          ObjSet('click_3', { alp: 0, input: 0 });
          renderGameScene();
        },
      });
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: '  area_map_2\t28\t',
  },
  44: {
    video: 'area_bomb_click_3',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      setTimeout(() => {
        PlaySound('sounds/sfx_press.mp3', 0);
      }, 1000);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: '  area_map_3\t\t',
  },
  45: {
    video: 'area_bomb_holding_483',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      ObjSet('click_4', {
        alp: 1,
        input: 1,
        event_mup: () => {
          ObjSet('click_4', { alp: 0, input: 0 });
          renderGameScene();
        },
      });
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'area_bomb_holding\t29 30\t',
  },
  46: {
    video: 'area_bomb_click_4',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      setTimeout(() => {
        PlaySound('sounds/sfx_press.mp3', 0);
      }, 1000);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'area_bomb_click_1\t\t',
  },
  47: {
    video: 'area_bomb_planting',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      setTimeout(() => {
        PlaySound('sounds/sfx_beep.mp3', 0);
      }, 3200);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'area_bomb_holding_4\t\t',
  },
  48: {
    video: 'area_bomb_planted',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '31',
        x: 660,
        y: 350,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          setTimeout(() => {
            PlaySound('sounds/sfx_gun.mp3', 0);
          }, 500);
        },
      },
    ],
    origin: 'area_bomb_click_2\t\t',
  },
  49: {
    video: 'man_3_girl_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '32',
        x: 270,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '33',
        x: 420,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '34',
        x: 270,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '35',
        x: 420,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '36',
        x: 270,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '37',
        x: 420,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '38',
        x: 270,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '39',
        x: 420,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '40',
        x: 270,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '41',
        x: 420,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '42',
        x: 270,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '43',
        x: 420,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '44',
        x: 270,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '45',
        x: 420,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '46',
        x: 270,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '47',
        x: 420,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '48',
        x: 270,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '49',
        x: 420,
        y: 140,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'area_bomb_holding_48\t\t',
  },
  50: {
    video: 'sex_1_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      soundNotMain = 1;
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
  },
  51: {
    video: 'sex_2_stop',
    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 7,
    countSlowVideo: 4,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
      // StopSound('sounds/env_main.mp3', 0);
    },
    delete: true,
  },
  52: {
    video: 'sex_3_stop_window_talk',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '50',
        x: 120,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '51',
        x: 600,
        y: 170,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '52',
        x: 120,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '53',
        x: 600,
        y: 170,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '54',
        x: 120,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'area_bomb_click_4\t\t',
  },
  53: {
    video: 'sex_3_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: false,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
  },
  54: {
    video: 'sex_4_stop_talk',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '55',
        x: 220,
        y: 130,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '56',
        x: 60,
        y: 10,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '57',
        x: 220,
        y: 130,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'area_bomb_planted\t31\tplay',
  },
  55: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: false,
    smoothFinish: false,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
  },
  56: {
    video: 'sex_4_after_cum_talk',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '58',
        x: 220,
        y: 130,
        next: true,
        open: function () {},
        click: function () {
          soundNotMain = 0;
        },
      },
    ],
    origin: 'man_3_girl_1\t32-49\tplay',
  },
  57: {
    video: 'man_4_girl_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '59',
        x: 420,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '60',
        x: 300,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '61',
        x: 420,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '62',
        x: 300,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '63',
        x: 420,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '64',
        x: 300,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '65',
        x: 420,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '66',
        x: 300,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '67',
        x: 420,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '68',
        x: 300,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '69',
        x: 420,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '70',
        x: 300,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '71',
        x: 420,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '\t\t\t\t',
  },
  58: {
    video: 'man_5',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '72',
        x: 190,
        y: 130,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '73',
        x: 190,
        y: 130,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '74',
        x: 190,
        y: 130,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'sex_1_stop\t',
  },

  gallery_sex_1_stop: {
    video: 'sex_1_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
  },
  gallery_sex_2_stop: {
    video: 'sex_2_stop',
    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 7,
    countSlowVideo: 4,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
      // StopSound('sounds/env_main.mp3', 0);
    },
    delete: true,
  },
  gallery_sex_3_stop: {
    video: 'sex_3_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
  },
  gallery_sex_4_stop: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
  },
};
function getGameLine() {
  return gameLine;
}
